Get a call transcript
curl --request GET \
--url https://api.osvi.ai/v1/call/{id}/transcript \
--header 'API-Token: <api-key>'import requests
url = "https://api.osvi.ai/v1/call/{id}/transcript"
headers = {"API-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-Token': '<api-key>'}};
fetch('https://api.osvi.ai/v1/call/{id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transcript": [
{
"role": "assistant",
"content": "Hello, am I speaking with Ravi?",
"timestamp": "2026-06-12T09:30:05+05:30"
}
]
}
}{
"success": false,
"error": "Invalid API token"
}{
"success": false,
"error": "call_not_found",
"details": null
}Calls
Get Call Transcript
Returns the turn-by-turn transcript of a call. Returns an empty array if no transcript was captured (e.g. the call was never answered).
GET
/
v1
/
call
/
{id}
/
transcript
Get a call transcript
Authorizations
16-character API token associated with your OSVI account. Find it in your dashboard under Settings → API.
Path Parameters
The call's call_id (UUID).
⌘I
